import type Picomatch from 'picomatch';
export declare function initMatcher(pattern: Picomatch.Glob | Picomatch.Matcher | undefined): Picomatch.Matcher | false;
export declare function outputLog(type: 'info' | 'warn' | 'warnOnce' | 'error', green?: string, yellow?: string, dim?: string): void;
export declare const isWindows: boolean;
export declare function slash(p: string): string;
export declare function normalizePath(id: string): string;
export declare function getResolvedRoot(root: string | undefined): string;
export declare function getResolvedPublicDir(publicDir: string | false | undefined, resolvedRoot: string): string;
