import type { ResolvedConfig, UserConfig } from 'vite';
import type { UserSettings, Settings, Context } from './types.js';
export declare function initConfig(userSettings: UserSettings): Settings;
export declare function initContext(config: Settings): Context;
export declare function updateViteUserConfig(ctx: Context, config: Settings, viteUserConfig: UserConfig): void;
export declare function updateConfig(config: Settings, viteConfig: ResolvedConfig): void;
